Issue 99529 - middle button paste adds trailing newline to pasted text (unlike copy + paste)
Summary: middle button paste adds trailing newline to pasted text (unlike copy + paste)
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: code (show other issues)
Version: OOo 3.0.1
Hardware: All Linux, all
: P3 Trivial (vote)
Target Milestone: ---
Assignee: michael.ruess
QA Contact: issues@sw
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-23 12:41 UTC by caolanm
Modified: 2013-08-07 14:44 UTC (History)
1 user (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
how about this (688 bytes, patch)
2009-02-23 12:42 UTC, caolanm
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description caolanm 2009-02-23 12:41:55 UTC
issue 90511 describes a situation of where copying to the clipboard adds a
trailing newline to the pasted text which is fixed in 3.0, but there is a
similar issue on Linux with middle paste, i.e. select a word in the middle of a
sentence and pasted into e.g. gedit / gnome-terminal with the middle paste
button (or left and right buttons together on two-button mice) There the
trailing newline appears.

In copy and paste the SetClipboard gets set on the swdoc transferrable in
preparecopy, but this arrangement doesn't happen on middle paste. How about this
patch to SetClipboard when transferring strings
Comment 1 caolanm 2009-02-23 12:42:53 UTC
Created attachment 60383 [details]
how about this
Comment 2 Mathias_Bauer 2009-04-14 13:19:21 UTC
Oliver, please take over
Comment 3 Oliver Specht 2009-04-15 11:58:49 UTC
Integrated into cws os130
Comment 4 Oliver Specht 2009-05-18 09:16:41 UTC
Target set
Comment 5 Oliver Specht 2009-05-19 14:03:06 UTC
Reassigned for verification
Comment 6 michael.ruess 2009-05-27 11:34:59 UTC
Verified in CWS os130.
Comment 7 michael.ruess 2009-06-23 12:28:27 UTC
Verified again in CWS os130a.
Comment 8 michael.ruess 2009-07-20 14:41:31 UTC
Checked integration in 300m52.
Comment 9 thorsten.ziehm 2009-07-20 15:35:07 UTC
Sorry this issue was wrongly closed. This issue will be reopened automatically.
And will be set after that back to fixed/verified.
Comment 10 thorsten.ziehm 2009-07-20 15:39:41 UTC
Set to state 'fixed'.
Comment 11 thorsten.ziehm 2009-07-20 15:44:00 UTC
Set back to state 'verified/fixed'.

Again. Sorry for the mass of mails.
Comment 12 michael.ruess 2009-07-21 12:02:22 UTC
Re-closing...